unit UnitInfo;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, UnitCameraDefs, Vcl.StdCtrls;

type
  TfmInfo = class(TForm)
    Label1: TLabel;
    Label3: TLabel;
    lb_cbm_type: TLabel;
    Label2: TLabel;
    lb_lscb_type: TLabel;
    Label5: TLabel;
    lb_pixelcount: TLabel;
    Label4: TLabel;
    lb_mcu1_version: TLabel;
    Label15: TLabel;
    lb_mcu2_version: TLabel;
    btn_close: TButton;
    procedure FormShow(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  fmInfo: TfmInfo;

implementation

{$R *.dfm}

procedure TfmInfo.FormShow(Sender: TObject);
var dwErr : DWORD;
    wVersion, wSensorType, wPixelCount : WORD;
begin
  lb_lscb_type.Caption := '';
  dwErr := ls_getsensortype(wSensorType,wPixelCount);
  if dwErr = RET_OK then
  begin
    lb_lscb_type.Caption := String(ls_getsensorname(wSensorType));
    lb_pixelcount.Caption := IntToStr(wPixelCount);
  end;

  lb_cbm_type.Caption := '';
  dwErr := ls_getmcu2sensortype(wSensorType,10);
  if dwErr = RET_OK then
    lb_cbm_type.Caption := 'CMB-'+ ls_getsensorname(wSensorType);

  wVersion := ls_getmcu1version(ls_currentdeviceindex);
  lb_mcu1_version.Caption := Format('V%u.%2.2u',[Byte(wVersion shr 8),Byte(wVersion)]);

  lb_mcu2_version.Caption := '';
  ls_getmcu2version(wVersion,10);
  lb_mcu2_version.Caption := Format('V%u.%2.2u',[Byte(wVersion shr 8),Byte(wVersion)]);

end;

end.
